[package]
name = "blog_test"
version = "0.3.2"
authors = ["Myrddin Dundragon <myrddin@cybermages.tech>"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
axum = { version = "0.8.4", optional = true }
axum-server = { version = "0.7.2", optional = true }
dioxus = { version = "=0.7.0-rc.1", features = ["router", "fullstack"] }
bard = { version = "*", path="../bard", optional = true }
tokio = { version = "1.0", optional = true }

[features]
default = ["bard"]
web = ["dioxus/web", "bard/web"]
server = ["dioxus/server", "axum", "axum-server", "tokio/rt-multi-thread", "tokio/macros", "bard/server"]

[profile.wasm-dev]
inherits = "dev"
opt-level = 1

[profile.server-dev]
inherits = "dev"

[profile.android-dev]
inherits = "dev"
